Skip to main content

Azure credentials - Create

Create Azure credentials into a specified project.

POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.

Request Body​

NameRequiredTypeDescription
nametruestringName of the azure credential in Evolution Platform
descriptionfalsestringDescription of the azure credential
subscriptionIdtruestringThe subscription credentials which uniquely identify the Microsoft Azure subscription.
tenantIdtruestring (UUID)The unique identifier of the Azure Active Directory tenant associated with the subscription.
clientIdtruestring (UUID)The identifier of the application registered in Azure Active Directory for authentication.
clientSecrettruestringThe secret associated with the application, used to authenticate the application with Azure.
expirationDatefalsestring (date)The expiration date of the authentication token or client secret.

Responses​

NameTypeDescription
201 CreatedCredentialsPOST successful. The operation returns the created credentials.
Other Status CodesError responseError response describing why the operation failed.

Response content​

NameTypeDescription
iduuidIdentifier of the azure credential in Evolution Platform
projectIdstringIdentifier of the project in Evolution Platform
namestringName of the azure credential in Evolution Platform
cspstringName of the Cloud Service Provider (CSP)
descriptionstringDescription of the azure credential
projectNamestringName of the project in Evolution Platform
expirationDatestringThe expiration date of the authentication token or client secret.

Security​

Type: HTTP Bearer

Token format: JWT

Header: Authorization: Bearer YOUR_ACCESS_TOKEN

Examples​

Request​

POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/projectId/azure/credentials

{
"name":"CredentialsAzure",
"description":"This set of credentials allow provisionning on Azure",
"subscriptionId": "YOUR_SUBSCRIPTION_ID",
"tenantId": "YOUR_TENANT_UUID",
"clientId": "YOUR_CLIENT_UUID",
"clientSecret": "YOUR_CLIENT_SECRET",
"expirationDate":"2027-01-31"
}

Sample response​

Status code: 201 (Created)

{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}